//+------------------------------------------------------------------+
//|                     luke Code.mq4                                |
//+------------------------------------------------------------------+
#property copyright "lukefx"

#property indicator_chart_window

//+------------------------------------------------------------------+

datetime time_frame []= { 5 };
int      MA_Periord []= { 200,  };   // MA values


int  mNoPrds, mNoMa, mMethod = 0, mAppPrice = 0;
   

//-----------------------------------------------+
int init()
 {
  mNoPrds = ArraySize(time_frame);
  mNoMa = ArraySize(MA_Periord);
  
  for(int x = 0; x < mNoPrds; x++)                  
    for(int i = 0; i < mNoMa; i++)
      {
       ObjectCreate(" 200 M5 SMA "+x+i, OBJ_HLINE, 0,  Time[0], 0);
       ObjectSet(" 200 M5 SMA "+x+i, OBJPROP_STYLE, STYLE_SOLID);
       ObjectSet(" 200 M5 SMA "+x+i, OBJPROP_WIDTH, 1);
       ObjectSet(" 200 M5 SMA "+x+i, OBJPROP_COLOR, Green);
     
     
     
     
      } 
      
  return(0); 
 }

 
 
 
//-----------------------------------------------+ 
int start()
 {
  double mPrice = 0;
  datetime mTime = 0;
  
   {
    for(int x = 0; x < mNoPrds; x++)              
      for(int y = 0 ;y < mNoMa; y++)
      {                             
        mPrice = iMA(NULL, time_frame[x], MA_Periord[y], 0, 0, 0, 0);
        
        
        ObjectSet(" 200 M5 SMA "+x+y, OBJPROP_TIME1, Time[0]);
        ObjectSet(" 200 M5 SMA "+x+y, OBJPROP_PRICE1, mPrice);
        
        
      }
   }
  

  return(0);
 }

//-----------------------------------------------+
int deinit()
 {
   ObjectsDeleteAll(2);  // Delete ALL trendlines

  return(0);
 }

//-----------------------------------------------+